#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	C++ wrappers for libgnome
Summary(pl.UTF-8):	Interfejsy C++ dla libgnome
Name:		libgnomemm
Version:	2.30.0
Release:	12
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomemm/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	860f5e835cd4674393ffdd692b0c9147
URL:		https://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtkmm-devel >= 2.12.0
BuildRequires:	libgnome-devel >= 2.20.1
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	m4
BuildRequires:	pkgconfig
Requires:	libgnome >= 2.20.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for libgnome.

%description -l pl.UTF-8
Interfejsy C++ dla libgnome.

%package devel
Summary:	Devel files for libgnomemm
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgnomemm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtkmm-devel >= 2.12.0
Requires:	libgnome-devel >= 2.20.1

%description devel
Devel files for libgnomemm.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla libgnomemm.

%package static
Summary:	libgnomemm static library
Summary(pl.UTF-8):	Biblioteka statyczna libgnomemm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgnomemm static library.

%description static -l pl.UTF-8
Biblioteka statyczna libgnomemm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgnomemm-2.6.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgnomemm-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomemm-2.6.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomemm-2.6.so
%{_libdir}/libgnomemm-2.6
%{_includedir}/libgnomemm-2.6
%{_pkgconfigdir}/libgnomemm-2.6.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomemm-2.6.a
%endif
%changelog
* Sat Sep 05 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgnomemm.git;a=log;h=master

* Sat Sep 05 2020 Jakub Bogusz <qboosh@pld-linux.org> ad7dc44
- drop .la file, release 12

* Mon Mar 25 2019 Jan Rękorajski <baggins@pld-linux.org> c38522d
- release 11 (by relup.sh)

* Fri Mar 15 2019 Jan Palus <atler@pld-linux.org> 8aa168d
- release 10 (by relup.sh)

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> 35231ac
- release 9 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 0c32506
- x32 rebuild
- release 8 (by relup.sh)

* Mon Apr 14 2014 Jan Rękorajski <baggins@pld-linux.org> 25ce022
- release 7 (by relup.sh)

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> dec5f7e
- release 6 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fbe76d
- release 5 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3bbd50f
- release 4 (by relup.sh)

* Wed Nov 24 2010 hawk <hawk@pld-linux.org> e458c32
- release 3

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> 2265241
- rel 2

* Fri Apr 02 2010 Szymon Siwek <sls@pld-linux.org> 404ca79
- ver. 2.30.0

* Tue Feb 09 2010 Szymon Siwek <sls@pld-linux.org> 1300da7
- ver. 2.28.0

* Tue Dec 02 2008 hawk <hawk@pld-linux.org> 7e965c3
- release 2

* Fri Nov 07 2008 Szymon Siwek <sls@pld-linux.org> 433acf5
- ver. 2.24.0

* Wed Apr 16 2008 Szymon Siwek <sls@pld-linux.org> 484fa40
- ver. 2.22.0

* Sun Jan 20 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 17b8b5a
- updated to 2.20.1

* Fri Sep 14 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 126ae71
- updated to 2.20.0

* Sat Mar 10 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 5eb408e
- updated to 2.18.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4e67279
- tabs in preamble

